YRD(1)

NAME
yrd - cjdns swiss army knife

SYNOPSIS

yrd [--help] <command> [<args>]

DESCRIPTION
yrd is an iproute2 inspired interface to cjdroute.

OPTIONS

--help
    Prints the yrd help

COMMANDS

start
    Starts cjdroute and configures it after it's started. Peers are pulled from /etc/yrd/peers.d and to the running cjdroute. Use --attach to configure an already running cjdroute.

a, addr
    Shows your cjdns address. Use -i to format it as IPv6 address.

n, neighbours
    Shows your neighbours you're directly peered with. Use -n to display their neighbours, too. Use -i to format them as IPv6 addresses.

r, route
    Shows addresses in your nodestore. Use -f for tailf like behaviour. Use -i to format them as IPv6 addresses.

ping
    Ping a node over cjdns, without using icmp. Use --switch to do a switch ping or -c to specify how many pings should be sent.

top Much colors.

mon Display debug information from cjdroute. -l, --level filter by log level

    -f, --file filter by source file

    -n, --line filter by line number

uplinks
    Shows known links from a given node in the network.